<?php
    $content = getContent('footer.content', true);
    $contact = getContent('contact_us.content', true);
    $contactElements = getContent('contact_us.element', orderById: true);
    $socialIcons = getContent('social_icon.element', false, 4, true);
    $policies = getContent('policy_pages.element', false, 5, true);
    $gatewayContent = getContent('gateway.content', true);
    $gatewayElements = getContent('gateway.element', orderById: true);
?>

<footer class="footer-area">
    <div class="footer-area__style">
        <div class="container">
            <div class="row justify-content-center gy-5">
                <div class="col-xl-6 col-sm-6">
                    <div class="footer-item">
                        <div class="footer-item__logo">
                            <a href="<?php echo e(route('home')); ?>"> <img alt="" src="<?php echo e(getImage(getFilePath('logoIcon') . '/logo.png')); ?>"></a>
                        </div>
                        <p class="footer-item__desc"><?php echo e(__(@$content->data_values->description)); ?></p>
                    </div>
                </div>
                <div class="col-xl-2 col-sm-6">
                    <div class="footer-item">
                        <h5 class="footer-item__title"> <?php echo app('translator')->get('Quick Links'); ?> </h5>
                        <ul class="footer-menu">
                            <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('Home'); ?></a></li>
                            <?php
                                $pages = App\Models\Page::where('is_default', Status::NO)
                                    ->where('tempname', $activeTemplate)
                                    ->get();
                            ?>
                            <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('pages', ['slug' => $item->slug])); ?>"><?php echo e(__($item->name)); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('blogs')); ?>"><?php echo app('translator')->get('Blog'); ?></a></li>
                            <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('contact')); ?>"><?php echo app('translator')->get('Contact'); ?></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-2 col-sm-6">
                    <div class="footer-item">
                        <h5 class="footer-item__title"><?php echo app('translator')->get('Explore'); ?></h5>
                        <ul class="footer-menu">
                            <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('lottery.tickets')); ?>"><?php echo app('translator')->get('Lotteries'); ?></a></li>
                            <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('results')); ?>"><?php echo app('translator')->get('Results'); ?></a></li>
                            <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('faqs')); ?>"><?php echo app('translator')->get('FAQs'); ?></a></li>
                        </ul>
                    </div>
                </div>
                <div class="col-xl-2 col-sm-6">
                    <div class="footer-item">
                        <h5 class="footer-item__title"> <?php echo app('translator')->get('Contact Us'); ?> </h5>
                        <ul class="footer-menu">
                            <li class="footer-menu__item">
                                <p class="mb-0">
                                    <i class="las la-map-marker"></i>
                                    <?php echo e(__(@$contact->data_values->address)); ?>

                                </p>
                            </li>

                            <?php $__currentLoopData = $contactElements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="footer-menu__item">
                                    <p class="mb-0"> <?php echo $item->data_values->icon ?> <?php echo e($item->data_values->contact_address); ?></p>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
            </div>

            <div class="row gy-4 justify-content-between mt-4">
                <div class="col-sm-6">
                    <div class="social-list-wrapper">
                        <h5 class="social-list-wrapper__title"> <?php echo app('translator')->get('Join Our Community'); ?> </h5>
                        <ul class="social-list">
                            <?php $__currentLoopData = $socialIcons; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $social): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="social-list__item">
                                    <a class="social-list__link" href="<?php echo e($social->data_values->url); ?>" target="_blank"><?php echo $social->data_values->icon ?></a>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="payment-gateway">
                        <h5 class="payment-gateway__title"> <?php echo e(__(@$gatewayContent->data_values->heading)); ?> </h5>
                        <div class="payment-gateway__wrapper">
                            <?php $__currentLoopData = $gatewayElements; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gatewayElement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="payment-gateway__thumb">
                                    <img alt="" src="<?php echo e(getImage('assets/images/frontend/gateway/' . $gatewayElement->data_values->image)); ?>">
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Footer Top End-->

    <!-- bottom Footer -->
    <div class="bottom-footer">
        <div class="container">
            <div class="bottom-footer__style py-3">
                <div class="row gy-3">
                    <div class="col-md-6">
                        <div class="bottom-footer__text"> &copy; <?php echo e(date('Y')); ?> <?php echo e($general->site_name); ?> <?php echo app('translator')->get('All Rights to Reserved.'); ?> </div>
                    </div>
                    <div class="col-md-6">
                        <div class="bottom-footer__right">
                            <div class="bottom-footer__right-text">
                                <?php $__currentLoopData = $policies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $policy): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <a class="<?php if($loop->first): ?> bottom-footer__right-link <?php else: ?> bottom-footer__right-link-inner <?php endif; ?>" href="<?php echo e(route('policy.pages', [slug($policy->data_values->title), $policy->id])); ?>"> <?php echo e(__($policy->data_values->title)); ?></a>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>
<?php /**PATH /home/founexxa/de8.online/core/resources/views/templates/basic/partials/footer.blade.php ENDPATH**/ ?>