<?php
    $content = getContent('login.content', true);
?>
<?php $__env->startSection('panel'); ?>
    <section class="account">
        <div class="account-inner">
            <div class="account-left">
                <div class="account-left__shape">
                    <img alt="" src="<?php echo e(getImage($activeTemplateTrue . 'images/shapes/login-1.png')); ?>">
                </div>
                <div class="account-left__content">
                    <h1 class="account-left__title"><?php echo e(__(@$content->data_values->heading)); ?></h1>
                    <p class="account-left__desc">
                        <span class="account-left__icon"> <i class="fas fa-quote-left"></i> </span>
                        <?php echo e(__(@$content->data_values->subheading)); ?>

                        <span class="account-left__icon"> <i class="fas fa-quote-right"></i> </span>
                    </p>
                </div>
                <div class="account-left__thumb">
                    <img alt="" src="<?php echo e(getImage('assets/images/frontend/login/' . @$content->data_values->image, '560x420')); ?>">
                </div>
            </div>
            <div class="account-right-wrapper">
                <a class="account-right-wrapper__logo" href="<?php echo e(route('home')); ?>">
                    <img alt="" src="<?php echo e(getImage(getFilePath('logoIcon') . '/logo_dark.png')); ?>">
                </a>
                <div class="account-right">
                    <div class="account-content">
                        <div class="account-form">
                            <h2 class="account-form__title"><?php echo e(__(@$content->data_values->form_title)); ?></h2>
                            <p class="account-form__desc"><?php echo e(__(@$content->data_values->form_subtitle)); ?></p>
                            <form action="<?php echo e(route('user.login')); ?>" class="verify-gcaptcha" method="post">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <label class="form--label"><?php echo app('translator')->get('Username or Email'); ?></label>
                                            <input class="form--control" name="username" required type="text" value="<?php echo e(old('username')); ?>">
                                        </div>
                                    </div>
                                    <div class="col-sm-12 form-group">
                                        <div class="d-flex justify-content-between">
                                            <label class="form--label"><?php echo app('translator')->get('Password'); ?></label>
                                            <a class="forget-password" href="<?php echo e(route('user.password.request')); ?>"> <?php echo app('translator')->get('Forget Password?'); ?></a>
                                        </div>
                                        <div class="position-relative">
                                            <input class="form-control form--control" id="password" name="password" required type="password">
                                            <div class="password-show-hide far fa-eye toggle-password fa-eye-slash" id="#password"></div>
                                        </div>
                                    </div>

                                    <?php if (isset($component)) { $__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243 = $component; } ?>
<?php $component = App\View\Components\Captcha::resolve(['path' => $activeTemplate . 'partials'] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Captcha::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243)): ?>
<?php $component = $__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243; ?>
<?php unset($__componentOriginalc0af13564821b3ac3d38dfa77d6cac9157db8243); ?>
<?php endif; ?>

                                    <div class="col-sm-12 form-group">
                                        <button class="btn btn--base w-100" type="submit"><?php echo app('translator')->get('Login'); ?></button>
                                    </div>

                                    <?php
                                        $credentials = $general->socialite_credentials;
                                    ?>
                                    <?php if($credentials->google->status == Status::ENABLE || $credentials->facebook->status == Status::ENABLE || $credentials->linkedin->status == Status::ENABLE): ?>
                                        <div class="col-sm-12 form-group">
                                            <?php if($credentials->google->status == Status::ENABLE): ?>
                                                <div class="continue-google">
                                                    <a class="btn w-100" href="<?php echo e(route('user.social.login', 'google')); ?>">
                                                        <span class="google-icon"> <img alt="" src="<?php echo e(getImage($activeTemplateTrue . 'images/icon/google.png')); ?>"></span>
                                                        <?php echo app('translator')->get('Login with Google'); ?>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                            <?php if($credentials->facebook->status == Status::ENABLE): ?>
                                                <div class="continue-google">
                                                    <a class="btn w-100" href="<?php echo e(route('user.social.login', 'facebook')); ?>">
                                                        <span class="google-icon"><img alt="" src="<?php echo e(getImage($activeTemplateTrue . 'images/icon/facebook.png')); ?>"></span>
                                                        <?php echo app('translator')->get('Login with Facebook'); ?>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                            <?php if($credentials->linkedin->status == Status::ENABLE): ?>
                                                <div class="continue-google">
                                                    <a class="btn w-100" href="<?php echo e(route('user.social.login', 'linkedin')); ?>">
                                                        <span class="google-icon"><img alt="" src="<?php echo e(getImage($activeTemplateTrue . 'images/icon/linkedin.png')); ?>"></span>
                                                        <?php echo app('translator')->get('Login with Linkedin'); ?>
                                                    </a>
                                                </div>
                                            <?php endif; ?>
                                        </div>
                                    <?php endif; ?>

                                    <p class="account-form__text"> <?php echo app('translator')->get('Don\'t have an account?'); ?> <a class="account-form__text-link" href="<?php echo e(route('user.register')); ?>"> <?php echo app('translator')->get('Register'); ?> </a> </p>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-6">
                        <div class="account-form__footer"><?php echo e(__(@$content->data_values->footer_text)); ?></div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/founexxa/de8.online/core/resources/views/templates/basic/user/auth/login.blade.php ENDPATH**/ ?>