<div class="request-coin <?php if(!request()->routeIs('home')): ?> bg--base <?php endif; ?>">
    <div class="request-coin__icon">
        <img src="<?php echo e(asset('assets/money.png')); ?>" class="image-black">
        <img src="<?php echo e(asset('assets/money_white.png')); ?>" class="image-white">
    </div>
    <h5 class="request-coin__title">
        <?php echo app('translator')->get("REQUEST FOR $general->cur_text"); ?>
    </h5>
</div>

<div class="offcanvas offcanvas-end section-bg" tabindex="-1" id="request-canvas">
    <div class="offcanvas-header bg--base text-white p-5 py-4">
      <h5 class="offcanvas-title"><?php echo app('translator')->get("Requesting $general->cur_text"); ?></h5>
      <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
    </div>
    <div class="offcanvas-body p-5 <?php if(auth()->guard()->guest()): ?> d-flex align-items-center  justify-content-center <?php endif; ?>">
        <?php if(auth()->guard()->check()): ?>
        <form method="POST" action="<?php echo e(route('request.coin')); ?>">
            <?php echo csrf_field(); ?>
            <div class="form-group">
               <?php echo $general->request_instruction; ?>
            </div>
            <div class="form-group">
                <label for=""><?php echo app('translator')->get('Amount'); ?></label>
                <div class="input-group">
                    <input type="number" step="any" name="amount" type="text" class="form--control form-control ps-2" required/>
                    <span class="input-group-text"><?php echo e(__($general->cur_text)); ?></span>
                </div>
            </div>
            <button class="btn btn--base w-100"><?php echo app('translator')->get('Submit'); ?></button>
        </form>
        <?php else: ?>
        <div class="text-center">
            <img src="<?php echo e(asset('assets/shopping.png')); ?>" alt="">
            <div>
                <a href="<?php echo e(route('user.login')); ?>" class="text--base"><?php echo app('translator')->get('Authentication'); ?></a>
                <span><?php echo app('translator')->get("is a prerequisite for accessing the $general->cur_text request"); ?></span>
            </div>
        </div>
        <?php endif; ?>
    </div>
</div>

<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        (function ($) {
            $('.request-coin').on('click',function(e){
                var bsOffcanvas = new bootstrap.Offcanvas(document.getElementById('request-canvas'))
                bsOffcanvas.show()
            });

            <?php if(request()->routeIs('home')): ?>
                $(window).on('scroll',function(e){
                    windowScroll();
                });
            <?php endif; ?>

            function windowScroll(){
                let scroll = window.scrollY;
                if(scroll > 310){
                    $('.request-coin').addClass('bg--base');
                }else{
                    $('.request-coin').removeClass('bg--base');
                }
            }

            <?php if(request()->routeIs('home')): ?>
                windowScroll();
            <?php endif; ?>

        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php /**PATH /home/founexxa/de8.online/core/resources/views/templates/basic/partials/request_coin.blade.php ENDPATH**/ ?>