<?php
    $content = getContent('winner.content', true);
    $winners = App\Models\Winner::with('user', 'phase', 'phase.lottery:id,name,image')
        ->groupBy('phase_id', 'user_id')
        ->selectRaw('*,SUM(prize_money) as prize_money')
        ->orderBy('prize_money', 'desc')
        ->limit(12)
        ->get();
?>

<?php if($winners->count()): ?>
    <section class="winner-section py-80">
        <div class="container">
            <div class=" winner-section__wrapper flex-between">
                <div class="section-heading style-left">
                    <h6 class="section-heading__subtitle"><?php echo e(__(@$content->data_values->heading)); ?></h6>
                    <h2 class="section-heading__title" s-break="-3" s-color="text--base"><?php echo e(__(@$content->data_values->subheading)); ?></h2>
                </div>
                <div class="winner-time d-md-block d-none">
                    <a class="btn btn--base" href="<?php echo e(@$content->data_values->button_url); ?>"> <?php echo e(__(@$content->data_values->button_text)); ?> </a>
                </div>
            </div>
            <div class="flex-between">
                <div class="top-winner">
                    <h5 class="top-winner__title"><?php echo e(__(@$content->data_values->title)); ?></h5>
                </div>
                <div class="winner-time d-md-none d-block">
                     <a class="btn btn--base" href="<?php echo e(@$content->data_values->button_url); ?>"> <?php echo e(__(@$content->data_values->button_text)); ?> </a>
                </div>
            </div>
            <div class="row gy-4 justify-content-center align-items-center">
                <?php $__currentLoopData = $winners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $winner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col-xl-4 col-md-6">
                        <div class="winner-item <?php if($loop->iteration % 3 == 2): ?> item-style <?php else: ?> section-bg <?php endif; ?>">
                            <div class="winner-item__shape">
                                <img alt="" src="<?php echo e(getImage($activeTemplateTrue . 'images/shapes/w-2.png')); ?>">
                            </div>
                            <div class="flex-between">
                                <div class=" flex-between">
                                    <div class="winner-item__thumb">
                                        <img alt="" src="<?php echo e(getImage(getFilePath('lottery') . '/' . @$winner->phase->lottery->image, getFileSize('lottery'))); ?>">
                                    </div>
                                    <div>
                                        <span class="winner-item__content-name"> <?php echo app('translator')->get('Game'); ?> </span>
                                        <h6 class="winner-item__content-info"> <?php echo e(__(@$winner->phase->lottery->name)); ?> </h6>
                                    </div>
                                </div>
                                <div class="winner-item__content">
                                    <span class="winner-item__content-name"> <?php echo app('translator')->get('Player'); ?> </span>
                                    <h6 class="winner-item__content-info"> <?php echo e(__(@$winner->user->fullname)); ?> </h6>
                                </div>
                                <div class="winner-item__content  content-style">
                                    <span class="winner-item__content-name"> <?php echo app('translator')->get('Price'); ?> </span>
                                    <h6 class="winner-item__content-info text--red"><?php echo e(showAmount($winner->prize_money, exceptZeros: true)); ?> <?php echo e($general->cur_text); ?></h6>
                                </div>
                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
<?php endif; ?>
<?php /**PATH /home/founexxa/de8.online/core/resources/views/templates/basic/sections/winner.blade.php ENDPATH**/ ?>