<?php $__env->startSection('panel'); ?>
    <div class="row">
        <div class="col-lg-12">
            <div class="card b-radius--10 ">
                <div class="card-body p-0">
                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th><?php echo app('translator')->get('Total Draw'); ?></th>
                                    <th><?php echo app('translator')->get('Discount'); ?></th>
                                    <th><?php echo app('translator')->get('Status'); ?></th>
                                    <th><?php echo app('translator')->get('Action'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $lottery->multiDrawOptions; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $option): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td><?php echo e($option->total_draw); ?></td>
                                        <td><?php echo e(showAmount($option->discount)); ?>%</td>
                                        <td>
                                            <?php
                                                echo $option->statusBadge;
                                            ?>
                                        </td>
                                        <td>
                                            <div class="button--group">
                                                <button class="btn btn-sm btn-outline--primary updateBtn" data-discount="<?php echo e(getAmount($option->discount)); ?>" data-id="<?php echo e($option->id); ?>" data-total_draw="<?php echo e($option->total_draw); ?>" type="butotn">
                                                    <i class="la la-pencil"></i><?php echo app('translator')->get('Edit'); ?>
                                                </button>

                                                <?php if($option->status): ?>
                                                    <button class="btn btn-sm btn-outline--danger confirmationBtn" data-action="<?php echo e(route('admin.lottery.multi.draw.option.status', $option->id)); ?>" data-question="<?php echo app('translator')->get('Are you sure, you want to disable this option?'); ?>"><i class="la la-eye-slash"></i><?php echo app('translator')->get('Disable'); ?></button>
                                                <?php else: ?>
                                                    <button class="btn btn-sm btn-outline--success confirmationBtn" data-action="<?php echo e(route('admin.lottery.multi.draw.option.status', $option->id)); ?>" data-question="<?php echo app('translator')->get('Are you sure, you want to enable this option?'); ?>"><i class="la la-eye"></i><?php echo app('translator')->get('Enable'); ?></button>
                                                <?php endif; ?>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="text-muted text-center" colspan="4"><?php echo e(__($emptyMessage)); ?></td>
                                    </tr>
                                <?php endif; ?>

                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="addModal" role="dialog" tabindex="-1">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo app('translator')->get('Add Options for'); ?> <?php echo e(__($lottery->name)); ?></h5>
                    <button aria-label="Close" class="close" data-bs-dismiss="modal" type="button">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <form action="<?php echo e(route('admin.lottery.multi.draw.setting.store', $lottery->id)); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <div class="row">
                            <div class="col-xl-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Total Draw'); ?></label>
                                    <input class="form-control" min="0" name="total_draw[]" required type="number">
                                </div>
                            </div>
                            <div class="col-xl-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Discount'); ?></label>
                                    <div class="input-group">
                                        <input class="form-control" min="0" step="any" name="discount[]" required type="number">
                                        <span class="input-group-text input-group-end">%</span>
                                        <button class="input-group-text ms-2 btn icon-btn btn--success addMoreBtn" type="button"><i class="las la-plus ms-1"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn--primary h-45 w-100" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="modal fade" id="updateModal" role="dialog" tabindex="-1">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"><?php echo app('translator')->get('Update Multi Draw Option'); ?></h5>
                    <button aria-label="Close" class="close" data-bs-dismiss="modal" type="button">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <form action="#" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <div class="form-group">
                            <label><?php echo app('translator')->get('Total Draw'); ?></label>
                            <input class="form-control" min="0" name="total_draw" required type="number">
                        </div>
                        <div class="form-group">
                            <label><?php echo app('translator')->get('Discount'); ?></label>
                            <div class="input-group">
                                <input class="form-control" min="0" step="any" name="discount" required type="number">
                                <span class="input-group-text">%</span>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn--primary h-45 w-100" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <?php if (isset($component)) { $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b = $component; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\ConfirmationModal::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b)): ?>
<?php $component = $__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b; ?>
<?php unset($__componentOriginalc51724be1d1b72c3a09523edef6afdd790effb8b); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <button class="btn btn-sm btn-outline--primary addBtn" type="button"><i class="las la-plus"></i> <?php echo app('translator')->get('Add Options'); ?></button>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";
            $('.addBtn').on('click', function() {
                let modal = $("#addModal");
                modal.modal('show');
            });

            $('.addMoreBtn').on('click', function() {
                $("#addModal").find('.modal-body').append(`
                <div class="row parentRow">
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label class="required"><?php echo app('translator')->get('Total Draw'); ?></label>
                            <input class="form-control" min="0" name="total_draw[]" required type="number">
                        </div>
                    </div>
                    <div class="col-xl-6">
                        <div class="form-group">
                            <label class="required"><?php echo app('translator')->get('Discount'); ?></label>
                            <div class="input-group">
                                <input class="form-control" min="0" step="any" name="discount[]" required type="number">
                                <span class="input-group-text input-group-end">%</span>
                                <button class="input-group-text ms-2 btn icon-btn btn--danger removeBtn" type="button"><i class="las la-times ms-1"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
                `);
            });

            $('.updateBtn').on('click', function() {
                let data = $(this).data();
                let modal = $('#updateModal');
                modal.find('form').attr('action', `<?php echo e(route('admin.lottery.multi.draw.option.update', '')); ?>/${data.id}`);
                modal.find('[name=total_draw]').val(data.total_draw);
                modal.find('[name=discount]').val(data.discount);
                modal.modal('show');
            });

            $(document).on('click', '.removeBtn', function() {
                $(this).parents('.parentRow').remove();
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        button.icon-btn {
            border-top-left-radius: 3px !important;
            border-bottom-left-radius: 3px !important;
        }

        .input-group-end {
            border-top-right-radius: 5px !important;
            border-bottom-right-radius: 5px !important;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/founexxa/de8.online/core/resources/views/admin/lottery/multi_draw_options.blade.php ENDPATH**/ ?>