<?php $__env->startSection('panel'); ?>
    <form action="<?php echo e(route('admin.lottery.store', @$lottery->id)); ?>" enctype="multipart/form-data" method="POST">
        <?php echo csrf_field(); ?>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-xl-4 col-lg-12 col-md-6">
                                <div class="form-group">
                                    <div class="image-upload">
                                        <div class="thumb">
                                            <div class="avatar-preview">
                                                <div class="profilePicPreview" style="background-image: url(<?php echo e(getImage(getFilePath('lottery') . '/' . @$lottery->image, getFileSize('lottery'))); ?>)">
                                                    <button class="remove-image" type="button"><i class="fa fa-times"></i></button>
                                                </div>
                                            </div>
                                            <div class="avatar-edit">
                                                <input accept=".png, .jpg, .jpeg" class="profilePicUpload d-none" id="lotteryImage" name="image" type="file">
                                                <label class="bg--success mt-2" for="lotteryImage"><?php echo app('translator')->get('Upload Image'); ?></label>
                                                <small class="mt-2  "><?php echo app('translator')->get('Supported files'); ?>: <b><?php echo app('translator')->get('jpeg'); ?>, <?php echo app('translator')->get('jpg'); ?>, <?php echo app('translator')->get('png'); ?>.</b> <?php echo app('translator')->get('Image will be resized into '); ?> <?php echo e(getFileSize('lottery') . 'px'); ?> </small>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-8 col-lg-12 col-md-6">
                                <div class="row">
                                    <div class="col-xl-12">
                                        <div class="form-group ">
                                            <label><?php echo app('translator')->get('Name'); ?></label>
                                            <input class="form-control" name="name" required type="text" value="<?php echo e(old('name', @$lottery->name)); ?>">
                                        </div>
                                    </div>
                                    <?php
                                        $amount = old('price', @$lottery->price);
                                    ?>
                                    <div class="col-xl-6 col-lg-6">
                                        <div class="form-group ">
                                            <label><?php echo app('translator')->get('Price'); ?></label>
                                            <div class="input-group">
                                                <input class="form-control" name="price" required step="any" type="number" value="<?php echo e($amount > 0 ? getAmount($amount) : ''); ?>">
                                                <span class="input-group-text"><?php echo e(__($general->cur_text)); ?></span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6">
                                        <?php
                                            $lineVariation = old('line_variations');
                                            if (@$lottery) {
                                                $lineVariation = implode(',', $lottery->line_variations);
                                            }
                                        ?>
                                        <div class="form-group">
                                            <label><?php echo app('translator')->get('Line Variation'); ?> <i class="las la-info-circle text--primary" title="<?php echo app('translator')->get('Enter line variation numbers and separate the number by comma. For example: 4,7,10'); ?>"></i></label>
                                            <input class="form-control lineVariation" name="line_variations" placeholder="<?php echo app('translator')->get('Eg: 4,7,10'); ?>" required type="text" value="<?php echo e($lineVariation); ?>">
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6">
                                        <div class="form-group ">
                                            <label><?php echo app('translator')->get('No. Of Balls'); ?></label>
                                            <input class="form-control" min="1" name="no_of_ball" required type="number" value="<?php echo e(old('no_of_ball', @$lottery->no_of_ball)); ?>">
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6">
                                        <div class="form-group ">
                                            <label><?php echo app('translator')->get('Ball Start From'); ?>  <i class="las la-info-circle text--primary" title="<?php echo app('translator')->get('The ball starts from must be 0 or 1'); ?>"></i> </label>
                                            <input class="form-control" min="0" name="ball_start_from" placeholder="<?php echo app('translator')->get('Enter 0 or 1'); ?>" required type="number" value="<?php echo e(old('ball_start_from', @$lottery->ball_start_from)); ?>">
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6">
                                        <div class="form-group ">
                                            <label><?php echo app('translator')->get('No. of Picking Ball'); ?></label>
                                            <input class="form-control" min="1" name="total_picking_ball" required type="number" value="<?php echo e(@$lottery->total_picking_ball ?? old('total_picking_ball')); ?>">
                                        </div>
                                    </div>
                                    <div class="col-xl-6 col-lg-6">
                                        <div class="form-group">
                                            <label><?php echo app('translator')->get('Multi Draw Option'); ?></label>
                                            <select class="form-control" name="has_multi_draw" required>
                                                <option disabled selected value=""><?php echo app('translator')->get('Select One'); ?></option>
                                                <option <?php if(old('has_multi_draw', @$lottery->has_multi_draw) == 1): echo 'selected'; endif; ?> value="1"><?php echo app('translator')->get('Enable'); ?></option>
                                                <option <?php if(old('has_multi_draw', @$lottery->has_multi_draw) === 0): echo 'selected'; endif; ?> value="0"><?php echo app('translator')->get('Disable'); ?></option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-check">
                                    <input <?php if(old('has_power_ball', @$lottery->has_power_ball)): echo 'checked'; endif; ?> class="form-check-input" id="hasPowerBall" name="has_power_ball" type="checkbox" value="1">
                                    <label class="form-check-label" for="hasPowerBall"><?php echo app('translator')->get('Has Power Ball'); ?></label>
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('No. Of Power Ball'); ?></label>
                                    <input class="form-control powerBallInputs" min="0" name="no_of_pw_ball" type="number" value="<?php echo e(old('no_of_pw_ball', @$lottery->no_of_pw_ball)); ?>">
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Power Ball Start From'); ?></label>
                                    <input class="form-control powerBallInputs" min="0" name="pw_ball_start_from" placeholder="" type="number" value="<?php echo e(old('pw_ball_start_from', @$lottery->pw_ball_start_from)); ?>">
                                </div>
                            </div>
                            <div class="col-xl-4">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('No. of Picking Power Ball'); ?></label>
                                    <input class="form-control powerBallInputs" min="0" name="total_picking_power_ball" type="number" value="<?php echo e(old('total_picking_power_ball', @$lottery->total_picking_power_ball)); ?>">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-12">
                                <div class="form-check">
                                    <input <?php if(old('auto_creation_phase', @$lottery->auto_creation_phase)): echo 'checked'; endif; ?> class="form-check-input" id="autoCreationPhase" name="auto_creation_phase" type="checkbox" value="1">
                                    <label class="form-check-label" for="autoCreationPhase"><?php echo app('translator')->get('Phase Auto Creation'); ?></label>
                                </div>

                                <div class="phaseDayTimeDiv <?php if(!old('auto_creation_phase', @$lottery->auto_creation_phase)): ?> d-none <?php endif; ?>">
                                    <?php
                                        $phaseType = null;
                                        if (old('phase_type')) {
                                            $phaseType = old('phase_type');
                                        } elseif (@$lottery) {
                                            $phaseType = $lottery->phaseCreationSchedules->first()->phase_type ?? 0;
                                        }
                                    ?>
                                    <div class="form-check form-check-inline">
                                        <input <?php if($phaseType == 1): echo 'checked'; endif; ?> class="form-check-input" id="weekly" name="phase_type" type="radio" value="1">
                                        <label class="form-check-label" for="weekly">
                                            <?php echo app('translator')->get('Weekly'); ?>
                                        </label>
                                    </div>
                                    <div class="form-check form-check-inline">
                                        <input <?php if($phaseType == 2): echo 'checked'; endif; ?> class="form-check-input" id="monthly" name="phase_type" type="radio" value="2">
                                        <label class="form-check-label" for="monthly">
                                            <?php echo app('translator')->get('Monthly'); ?>
                                        </label>
                                    </div>
                                    <?php
                                        $oldDays = old('days') ?? null;
                                        $drawTimes = old('draw_times') ?? null;
                                    ?>
                                    <?php if($oldDays && count($oldDays) > 0): ?>
                                        <?php $__currentLoopData = $oldDays; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $index => $oldDay): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div class="row parentDiv">
                                                <div class="col-xl-6 col-lg-6">
                                                    <?php if($phaseType == 1): ?>
                                                        <div class="form-group">
                                                            <label class="required"><?php echo app('translator')->get('Draw Day'); ?></label>
                                                            <select class="form-control" name="days[]" required>
                                                                <option disabled selected value=""><?php echo app('translator')->get('Select One'); ?></option>
                                                                <?php $__currentLoopData = days(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $day): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option <?php if($oldDay == $key): echo 'selected'; endif; ?> value="<?php echo e($key); ?>"><?php echo e(__($day)); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    <?php else: ?>
                                                        <div class="form-group">
                                                            <label class="required"><?php echo app('translator')->get('Draw Date'); ?></label>
                                                            <input autocomplete="off" class="form-control" max="31" min="1" name="days[]" placeholder="<?php echo app('translator')->get('Enter a day of the month (1-31)'); ?>" required value="<?php echo e($oldDay); ?>">
                                                        </div>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="col-xl-6 col-lg-6">
                                                    <div class="form-group">
                                                        <label class="required"><?php echo app('translator')->get('Draw Time'); ?></label>
                                                        <div class="input-group clockpicker">
                                                            <input autocomplete="off" class="form-control" name="draw_times[]" placeholder="--:--" required type="text" value="<?php echo e($drawTimes[$index] ? showDateTime($drawTimes[$index], 'H:i') : ''); ?>">

                                                            <button class="input-group-text ms-2 btn icon-btn <?php if($loop->first): ?> btn--success addBtn <?php else: ?> btn--danger removeBtn <?php endif; ?>" data-type="<?php echo e($phaseType); ?>" type="button">
                                                                <?php if($loop->first): ?>
                                                                    <i class="las la-plus"></i>
                                                                <?php else: ?>
                                                                    <i class="las la-times"></i>
                                                                <?php endif; ?>
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php elseif(@$lottery && $lottery->phaseCreationSchedules->count()): ?>
                                        <?php $__currentLoopData = $lottery->phaseCreationSchedules; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $schedule): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div class="row parentDiv">
                                                <div class="col-xl-6 col-lg-6">
                                                    <?php if($schedule->phase_type == 1): ?>
                                                        <div class="form-group">
                                                            <label class="required"><?php echo app('translator')->get('Draw Day'); ?></label>
                                                            <select class="form-control" name="days[]" required>
                                                                <option disabled selected value=""><?php echo app('translator')->get('Select One'); ?></option>
                                                                <?php $__currentLoopData = days(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $day): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                                    <option <?php if($schedule->day == $key): echo 'selected'; endif; ?> value="<?php echo e($key); ?>"><?php echo e(__($day)); ?></option>
                                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                            </select>
                                                        </div>
                                                    <?php else: ?>
                                                        <div class="form-group">
                                                            <label class="required"><?php echo app('translator')->get('Draw Date'); ?></label>
                                                            <input autocomplete="off" class="form-control" max="31" min="1" name="days[]" placeholder="<?php echo app('translator')->get('Enter a day of the month (1-31)'); ?>" required value="<?php echo e($schedule->day); ?>">
                                                        </div>
                                                    <?php endif; ?>
                                                </div>
                                                <div class="col-xl-6 col-lg-6">
                                                    <div class="form-group">
                                                        <label class="required"><?php echo app('translator')->get('Draw Time'); ?></label>
                                                        <div class="input-group clockpicker">
                                                            <input autocomplete="off" class="form-control" name="draw_times[]" placeholder="--:--" required type="text" value="<?php echo e(showDateTime($schedule->time, 'H:i')); ?>">

                                                            <button class="input-group-text ms-2 btn icon-btn <?php if($loop->first): ?> btn--success addBtn <?php else: ?> btn--danger removeBtn <?php endif; ?>" data-type="<?php echo e($lottery->phase_type); ?>" type="button">
                                                                <?php if($loop->first): ?>
                                                                    <i class="las la-plus"></i>
                                                                <?php else: ?>
                                                                    <i class="las la-times"></i>
                                                                <?php endif; ?>
                                                            </button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                        <button class="btn btn--primary h-45 w-100 mt-3" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </form>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/admin/js/vendor/bootstrap-clockpicker.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link href="<?php echo e(asset('assets/admin/css/vendor/bootstrap-clockpicker.min.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php if($lottery): ?>
    <?php $__env->startPush('breadcrumb-plugins'); ?>
        <a class="btn btn-sm btn-outline--primary" href="<?php echo e(route('admin.lottery.winning.setting', $lottery->id)); ?>"><i class="las la-cog"></i><?php echo app('translator')->get('Winning Setting'); ?></a>
    <?php $__env->stopPush(); ?>
<?php endif; ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";

            let hasPowerBall = "<?php echo e(@$lottery->has_power_ball ?? 0); ?>" * 1;

            <?php if(old('has_power_ball')): ?>
                hasPowerBall = 1;
            <?php endif; ?>

            updatePowerBallsDOM(hasPowerBall);

            $('[name=has_power_ball]').on('click', function() {
                let condition = $(this).is(':checked') ? true : false;
                updatePowerBallsDOM(condition);
            });

            function updatePowerBallsDOM(condition) {
                let powerBallInputs = $('.powerBallInputs');
                if (condition == true) {
                    powerBallInputs.prop('disabled', false);
                    powerBallInputs.attr('required', true);
                    powerBallInputs.siblings('label').addClass('required');
                    $('[name=pw_ball_start_from]').attr('placeholder', "<?php echo app('translator')->get('Enter 0 or 1'); ?>");
                } else {
                    powerBallInputs.val('');
                    powerBallInputs.prop('disabled', true);
                    powerBallInputs.removeAttr('required');
                    powerBallInputs.siblings('label').removeClass('required');
                    $('[name=pw_ball_start_from]').attr('placeholder', "");
                }
            }

            let phaseDayTimeDiv = $('.phaseDayTimeDiv');
            $('[name=auto_creation_phase]').on('click', function() {
                phaseDayTimeDiv.find('[name=phase_type]').prop('checked', false);
                if ($(this).is(':checked')) {
                    phaseDayTimeDiv.removeClass('d-none');
                } else {
                    phaseDayTimeDiv.find('.parentDiv').remove();
                    phaseDayTimeDiv.addClass('d-none');
                }
            });

            $('[name=phase_type]').on('click', function() {
                phaseDayTimeDiv.find('.parentDiv').remove();
                phaseDayTimeDiv.append(weekMonthField($(this).val(), 'add'));

                $('.clockpicker').clockpicker({
                    placement: 'top',
                    align: 'left',
                    donetext: 'Done',
                    autoclose: true,
                });
            });

            $(document).on('click', '.addBtn', function() {
                let type = $(this).data('type');
                phaseDayTimeDiv.append(weekMonthField(type));

                $('.clockpicker').clockpicker({
                    placement: 'top',
                    align: 'left',
                    donetext: 'Done',
                    autoclose: true,
                });
            });

            $(document).on('click', '.removeBtn', function() {
                $(this).parents('.parentDiv').remove();
            });

            function weekMonthField(type, button = 'remove') {
                let buttonHtml = '';
                let weekMonthInput = '';
                if (button == 'remove') {
                    buttonHtml = `
                    <button type="button" class="input-group-text ms-2 btn icon-btn btn--danger removeBtn">
                        <i class="las la-times"></i>
                    </button>
                    `;
                } else {
                    buttonHtml = `
                    <button type="button" data-type="${type}" class="input-group-text ms-2 btn icon-btn btn--success addBtn">
                        <i class="las la-plus"></i>
                    </button>
                    `;
                }

                if (type == 1) {
                    weekMonthInput = `<div class="col-xl-6 col-lg-6">
                        <div class="form-group">
                            <label class="required"><?php echo app('translator')->get('Draw Day'); ?></label>
                            <select class="form-control" name="days[]" required>
                                <option value="" disabled selected><?php echo app('translator')->get('Select One'); ?></option>
                                <?php $__currentLoopData = days(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $day): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($key); ?>" ><?php echo e(__($day)); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>`;
                } else {
                    weekMonthInput = `<div class="col-xl-6 col-lg-6">
                        <div class="form-group">
                            <label class="required"><?php echo app('translator')->get('Draw Date'); ?></label>
                            <input autocomplete="off" class="form-control" min="1" max="31" placeholder="<?php echo app('translator')->get('Enter a day of the month (1-31)'); ?>" name="days[]" required>
                        </div>
                    </div>`;
                }


                let html = `
                <div class="row parentDiv">
                    ${weekMonthInput}
                    <div class="col-xl-6 col-lg-6">
                        <div class="form-group">
                            <label class="required"><?php echo app('translator')->get('Draw Time'); ?></label>
                            <div class="input-group clockpicker">
                                <input autocomplete="off" class="form-control" name="draw_times[]" placeholder="--:--" type="text" required>
                                ${buttonHtml}
                            </div>
                        </div>
                    </div>
                </div>
                `;

                return html;
            }

            $('.clockpicker').clockpicker({
                placement: 'top',
                align: 'left',
                donetext: 'Done',
                autoclose: true,
            });

        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
    <style>
        button.icon-btn {
            border-top-left-radius: 3px !important;
            border-bottom-left-radius: 3px !important;
        }
    </style>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/founexxa/de8.online/core/resources/views/admin/lottery/create.blade.php ENDPATH**/ ?>