<header class="header" id="header">
    <div class="container">
        <nav class="navbar navbar-expand-lg navbar-light">
            <a class="navbar-brand logo" href="<?php echo e(route('home')); ?>"><img alt="" src="<?php echo e(getImage(getFilePath('logoIcon') . '/logo.png')); ?>"></a>
            <button aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation" class="navbar-toggler header-button" data-bs-target="#navbarSupportedContent" data-bs-toggle="collapse" type="button">
                <span id="hiddenNav"><i class="las la-bars"></i></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav nav-menu ms-auto align-items-lg-center">
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('home')); ?>" href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('Home'); ?></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('lottery.tickets')); ?>" href="<?php echo e(route('lottery.tickets')); ?>"><?php echo app('translator')->get('Lotteries'); ?></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('results')); ?>" href="<?php echo e(route('results')); ?>"><?php echo app('translator')->get('Results'); ?></a>
                    </li>
                    <?php
                        $pages = App\Models\Page::where('is_default', Status::NO)
                            ->where('tempname', $activeTemplate)
                            ->get();
                    ?>

                    <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li class="nav-item">
                            <a class="nav-link <?php echo e(menuActive('pages', param:$item->slug)); ?>" href="<?php echo e(route('pages', ['slug' => $item->slug])); ?>"><?php echo e(__($item->name)); ?></a>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('blogs')); ?>" href="<?php echo e(route('blogs')); ?>"><?php echo app('translator')->get('Blog'); ?></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('faqs')); ?>" href="<?php echo e(route('faqs')); ?>"><?php echo app('translator')->get('FAQs'); ?></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link <?php echo e(menuActive('contact')); ?>" href="<?php echo e(route('contact')); ?>"><?php echo app('translator')->get('Contact'); ?></a>
                    </li>
                </ul>
                <div class="top-button flex-between">
                    <ul class="login-registration-list flex-align">
                        <?php if(auth()->guard()->guest()): ?>
                            <li class="login-registration-list__item"><a class=" btn btn--base btn--sm outline" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Login'); ?></a></li>
                            <li class="login-registration-list__item"><a class="btn btn--base btn--sm" href="<?php echo e(route('user.register')); ?>"><?php echo app('translator')->get('Register'); ?></a></li>
                        <?php else: ?>
                            <li class="login-registration-list__item"><a class=" btn btn--base btn--sm outline" href="<?php echo e(route('user.home')); ?>"><?php echo app('translator')->get('Dashboard'); ?></a></li>
                            <li class="login-registration-list__item"><a class="btn btn--base btn--sm" href="<?php echo e(route('user.logout')); ?>"><?php echo app('translator')->get('Logout'); ?></a></li>
                        <?php endif; ?>
                    </ul>
                    <?php if($general->multi_language): ?>
                        <?php
                            $language     = App\Models\Language::all();
                            $selectedLang = $language->where('code', config('app.locale'))->first();
                        ?>
                        <div class="custom--dropdown">
                            <div class="custom--dropdown__selected dropdown-list__item">
                                <div class="thumb">
                                    <img alt="image" src="<?php echo e(getImage(getFilePath('language') . '/' . @$selectedLang->flag, getFileSize('language'))); ?>">
                                </div>
                            </div>
                            <ul class="dropdown-list">
                                <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="dropdown-list__item" data-value="<?php echo e($lang->code); ?>">
                                        <a class="thumb" href="<?php echo e(route('lang', $lang->code)); ?>">
                                            <img alt="image" src="<?php echo e(getImage(getFilePath('language') . '/' . @$lang->flag, getFileSize('language'))); ?>">
                                        <span class="text"><?php echo e(strtoupper($lang->code)); ?></span>
                                        </a>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ul>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        </nav>
    </div>
</header>
<?php /**PATH /home/founexxa/de8.online/core/resources/views/templates/basic/partials/header.blade.php ENDPATH**/ ?>